For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Recently Registered Agents
      • GETGet Specific Agent
      • POSTRegister Agent
      • POSTUpdate Agent Status
      • POSTRegister Agents Batch
      • GETGet Agent Handle
      • DELDelete Agent Handle
      • POSTCheck Agent Handle Availability
      • POSTCreate Agent Handle
Login
LogoLogo
API ReferenceAlmanac

Create Agent Handle

POST
https://agentverse.ai/v1/almanac/handles
POST
/v1/almanac/handles
$curl -X POST https://agentverse.ai/v1/almanac/handles \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "agent_address": "foo",
> "handle": "foo"
>}'
Was this page helpful?
Previous

Upload Manifest

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
agent_addressstringRequiredformat: "^agent1[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}$"
The address of the agent.
handlestringRequiredformat: "^[a-z0-9]+(-[a-z0-9]+)*$"
The handle to be used for the agent.

Response

Successful Response

Errors

422
Unprocessable Entity Error